Bug 225875 - databases/postgresql10-server: Not broken with openssl-devel
Summary: databases/postgresql10-server: Not broken with openssl-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: pgsql
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-13 22:03 UTC by Bernard Spil
Modified: 2018-02-15 14:53 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (pgsql)


Attachments
svn diff for databases/postgresql10-server (515 bytes, patch)
2018-02-13 22:03 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-02-13 22:03:15 UTC
```
databases/postgresql10-server: Not broken with openssl-devel

PR:
```

As far as I can tell, this is no longer broken with OpenSSL 1.1 since
https://git.postgresql.org/gitweb/?p=postgresql.git;a=commitdiff;h=fcd93e4af943fc444a5928355c9471d36f077538#patch2
Comment 1 Bernard Spil freebsd_committer 2018-02-13 22:03:57 UTC
Created attachment 190600 [details]
svn diff for databases/postgresql10-server
Comment 2 Bernard Spil freebsd_committer 2018-02-13 22:46:29 UTC
Check https://keg.brnrd.eu/build.html?mastername=111amd64-default-openssldev&build=2018-02-13_22h29m33s for build logs of these ports
Comment 3 commit-hook freebsd_committer 2018-02-15 14:41:58 UTC
A commit references this bug:

Author: brnrd
Date: Thu Feb 15 14:41:31 UTC 2018
New revision: 461928
URL: https://svnweb.freebsd.org/changeset/ports/461928

Log:
  security/openssl-devel: Remove BROKEN from some ports

   * databases/freetds: Fixed 2017-02-14
   * databases/postgresql10-server: Fixed 2016-09-15 [1]
   * ftp/lftp: Fixed in 4.8.0
   * ftp/proftpd: Fixed in 1.3.5c
   * ftp/wget: Fixed in 1.19.3 [2]
   * lang/erlang-runtime20: Fixed in 20.0
   * net/socat: Fixed in 1.7.3.2
   * security/libssh2: Fixed in 1.8.0 [3]
   * security/p5-Crypt-OpenSSL-X509: Fixed in 1.8.8
   * sysutils/bacula9-server: Fixed in 9.0.6
   * www/nginx: Fixed in 1.9.14

   * Bulk build OK 10.3/11.1 both i386 and amd64:
      - multimedia/librtmp
      - net/libvncserver
      - www/lynx

  PR:		225875 [1], 225872 [2], 225873 [3]

Changes:
  head/databases/freetds/Makefile
  head/databases/postgresql10-server/Makefile
  head/ftp/lftp/Makefile
  head/ftp/proftpd/Makefile
  head/ftp/wget/Makefile
  head/lang/erlang-runtime20/Makefile
  head/multimedia/librtmp/Makefile
  head/net/libvncserver/Makefile
  head/net/socat/Makefile
  head/security/libssh2/Makefile
  head/sysutils/bacula9-server/Makefile
  head/www/lynx/Makefile
  head/www/nginx/Makefile
Comment 4 Bernard Spil freebsd_committer 2018-02-15 14:53:24 UTC
As discussed with portmgr (mat)